import numpy as np
from sklearn import linear_model
from sklearn import model_selection

P = np.loadtxt( "datos.csv", delimiter=',' )

X = P[:,0:2]
print( "X", X.shape )

y = P[:,2]
print( "y", y.shape )

# Aquí ya tenemos nuestros datos
# # Los separamos en datos de entrenamiento y de prueba:
Xentrena, Xprueba, yentrena, yprueba = model_selection.train_test_split( X, y, random_state = 10 )

reg = linear_model.RidgeClassifier( )

reg.fit( Xentrena, yentrena )
print('Coefficients: \n', reg.coef_)
print('a0: \n', reg.intercept_)

print( reg.score( Xprueba, yprueba) )

