import numpy as np
import matplotlib.pyplot as plt
import sklearn.model_selection as model_selection

D = np.loadtxt( "datos.csv", delimiter=',' )
print( D.shape )

Xentrena, Xprueba, yentrena, yprueba = model_selection.train_test_split( D[:,0], D[:,1], test_size = 0.2, random_state = 10 )


fig, axis = plt.subplots()
axis.scatter( Xentrena, yentrena, c='red' )

# Coefficients: 
# [0.99700834]
# a0: 
# -0.04503073072122207
vy = 0.99700834*D[:,0] - 0.04503073072122207

axis.scatter( Xprueba, yprueba, c='blue' )
axis.set_aspect( 1 )
axis.plot( D[:,0], vy )
plt.show( )

