import numpy as np
from sklearn import linear_model
from sklearn import model_selection

P = np.loadtxt( "datos.csv", delimiter=',' )

X = P[:,0].reshape(-1, 1)
print( "X", X.shape )

y = P[:,1]
print( "y", y.shape )

# Aquí ya tenemos nuestros datos
# Los separamos en datos de entrenamiento y de prueba:
Xentrena, Xprueba, yentrena, yprueba = model_selection.train_test_split( X, y, test_size = 0.2, random_state = 10 )

# Si es una línea:
# y = a1 x + a0

reg = linear_model.LinearRegression()
reg.fit( Xentrena, yentrena )
print('Coefficients: \n', reg.coef_)
print('a0: \n', reg.intercept_)

r2 = reg.score( Xprueba, yprueba )
print( "R2:", r2 )
